﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.DataMember.SubDistrict>


@(
 Html.Grid(Model).Named("AllMemberSubDistrict").Columns(columns =>
 {

     columns.Add(x => x.District.DistrictName)
        .Titled("DistrictName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.District.DistrictName);
     
     
     columns.Add(x => x.SubDistrictCode)
         .Titled("SubDistrictCode")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.SubDistrictCode);

     columns.Add(x => x.SubDistrictName)
         .Titled("SubDistrictName")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.SubDistrictName);

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.MemberSubDistrict.Edit(x.ID))));

   
 })
.Sortable()
.WithPaging(5)
)

